Package org.eclipse.e4.ui.model.application.ui.menu.impl

# Class ItemImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.menu.impl.ItemImpl

All Implemented Interfaces:
  `MApplicationElement`, `MItem`, `MLocalizable`, `MUIElement`, `MUILabel`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `HandledItemImpl`, `MenuItemImpl`, `ToolItemImpl`

public abstract class ItemImpl extends UIElementImpl implements MItem
An implementation of the model object 'Item'.

The following features are implemented:

- `Label`
- `Icon URI`
- `Tooltip`
- `Localized Label`
- `Localized Tooltip`
- `Enabled`
- `Selected`
- `Type`

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`enabled`
The cached value of the '`Enabled`' attribute.
`protected static final boolean`
`ENABLED_EDEFAULT`
The default value of the '`Enabled`' attribute.
`protected static final String`
`ICON_URI_EDEFAULT`
The default value of the '`Icon URI`' attribute.
`protected String`
`iconURI`
The cached value of the '`Icon URI`' attribute.
`protected String`
`label`
The cached value of the '`Label`' attribute.
`protected static final String`
`LABEL_EDEFAULT`
The default value of the '`Label`' attribute.
`protected static final String`
`LOCALIZED_LABEL_EDEFAULT`
The default value of the '`Localized Label`' attribute.
`protected static final String`
`LOCALIZED_TOOLTIP_EDEFAULT`
The default value of the '`Localized Tooltip`' attribute.
`protected boolean`
`selected`
The cached value of the '`Selected`' attribute.
`protected static final boolean`
`SELECTED_EDEFAULT`
The default value of the '`Selected`' attribute.
`protected String`
`tooltip`
The cached value of the '`Tooltip`' attribute.
`protected static final String`
`TOOLTIP_EDEFAULT`
The default value of the '`Tooltip`' attribute.
`protected ItemType`
`type`
The cached value of the '`Type`' attribute.
`protected static final ItemType`
`TYPE_EDEFAULT`
The default value of the '`Type`' attribute.

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ItemImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedOperationID(int baseOperationID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`Object`
`eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getIconURI()`
`String`
`getLabel()`
`String`
`getLocalizedLabel()`
`String`
`getLocalizedTooltip()`
`String`
`getTooltip()`
`ItemType`
`getType()`
`boolean`
`isEnabled()`
`boolean`
`isSelected()`
`void`
`setEnabled(boolean newEnabled)`
`void`
`setIconURI(String newIconURI)`
`void`
`setLabel(String newLabel)`
`void`
`setSelected(boolean newSelected)`
`void`
`setTooltip(String newTooltip)`
`void`
`setType(ItemType newType)`
`String`
`toString()`
`void`
`updateLocalization()`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### LABEL_EDEFAULT

protected static final String LABEL_EDEFAULT
The default value of the '`Label`' attribute.

Since:
  1.0
See Also:
  - `getLabel()`

### label

protected String label
The cached value of the '`Label`' attribute.

Since:
  1.0
See Also:
  - `getLabel()`

### ICON_URI_EDEFAULT

protected static final String ICON_URI_EDEFAULT
The default value of the '`Icon URI`' attribute.

Since:
  1.0
See Also:
  - `getIconURI()`

### iconURI

protected String iconURI
The cached value of the '`Icon URI`' attribute.

Since:
  1.0
See Also:
  - `getIconURI()`

### TOOLTIP_EDEFAULT

protected static final String TOOLTIP_EDEFAULT
The default value of the '`Tooltip`' attribute.

Since:
  1.0
See Also:
  - `getTooltip()`

### tooltip

protected String tooltip
The cached value of the '`Tooltip`' attribute.

Since:
  1.0
See Also:
  - `getTooltip()`

### LOCALIZED_LABEL_EDEFAULT

protected static final String LOCALIZED_LABEL_EDEFAULT
The default value of the '`Localized Label`' attribute.

See Also:
  - `getLocalizedLabel()`
  - Constant Field Values

### LOCALIZED_TOOLTIP_EDEFAULT

protected static final String LOCALIZED_TOOLTIP_EDEFAULT
The default value of the '`Localized Tooltip`' attribute.

See Also:
  - `getLocalizedTooltip()`
  - Constant Field Values

### ENABLED_EDEFAULT

protected static final boolean ENABLED_EDEFAULT
The default value of the '`Enabled`' attribute.

See Also:
  - `isEnabled()`
  - Constant Field Values

### enabled

protected boolean enabled
The cached value of the '`Enabled`' attribute.

See Also:
  - `isEnabled()`

### SELECTED_EDEFAULT

protected static final boolean SELECTED_EDEFAULT
The default value of the '`Selected`' attribute.

See Also:
  - `isSelected()`
  - Constant Field Values

### selected

protected boolean selected
The cached value of the '`Selected`' attribute.

See Also:
  - `isSelected()`

### TYPE_EDEFAULT

protected static final ItemType TYPE_EDEFAULT
The default value of the '`Type`' attribute.

See Also:
  - `getType()`

### type

protected ItemType type
The cached value of the '`Type`' attribute.

See Also:
  - `getType()`

## Constructor Details

### ItemImpl

protected ItemImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `UIElementImpl`

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `MUILabel`
Returns:
  the value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setLabel(String)`

### setLabel

public void setLabel(String newLabel)

Specified by:
  `setLabel` in interface `MUILabel`
Parameters:
  `newLabel` - the new value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getLabel()`

### getIconURI

public String getIconURI()

Specified by:
  `getIconURI` in interface `MUILabel`
Returns:
  the value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setIconURI(String)`

### setIconURI

public void setIconURI(String newIconURI)

Specified by:
  `setIconURI` in interface `MUILabel`
Parameters:
  `newIconURI` - the new value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getIconURI()`

### getTooltip

public String getTooltip()

Specified by:
  `getTooltip` in interface `MUILabel`
Returns:
  the value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `MUILabel.setTooltip(String)`

### setTooltip

public void setTooltip(String newTooltip)

Specified by:
  `setTooltip` in interface `MUILabel`
Parameters:
  `newTooltip` - the new value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `MUILabel.getTooltip()`

### getLocalizedLabel

public String getLocalizedLabel()

Specified by:
  `getLocalizedLabel` in interface `MUILabel`
Returns:
  the value of the 'Localized Label' attribute.

### getLocalizedTooltip

public String getLocalizedTooltip()

Specified by:
  `getLocalizedTooltip` in interface `MUILabel`
Returns:
  the value of the 'Localized Tooltip' attribute.

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `MItem`
Returns:
  the value of the 'Enabled' attribute.
See Also:
  - `MItem.setEnabled(boolean)`

### setEnabled

public void setEnabled(boolean newEnabled)

Specified by:
  `setEnabled` in interface `MItem`
Parameters:
  `newEnabled` - the new value of the 'Enabled' attribute.
See Also:
  - `MItem.isEnabled()`

### isSelected

public boolean isSelected()

Specified by:
  `isSelected` in interface `MItem`
Returns:
  the value of the 'Selected' attribute.
See Also:
  - `MItem.setSelected(boolean)`

### setSelected

public void setSelected(boolean newSelected)

Specified by:
  `setSelected` in interface `MItem`
Parameters:
  `newSelected` - the new value of the 'Selected' attribute.
See Also:
  - `MItem.isSelected()`

### getType

public ItemType getType()

Specified by:
  `getType` in interface `MItem`
Returns:
  the value of the 'Type' attribute.
See Also:
  - `ItemType`
  - `MItem.setType(ItemType)`

### setType

public void setType(ItemType newType)

Specified by:
  `setType` in interface `MItem`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `ItemType`
  - `MItem.getType()`

### updateLocalization

public void updateLocalization()

Specified by:
  `updateLocalization` in interface `MLocalizable`
Overrides:
  `updateLocalization` in class `UIElementImpl`
Since:
  1.1

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `UIElementImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `UIElementImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `UIElementImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `UIElementImpl`

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedOperationID

public int eDerivedOperationID(int baseOperationID, Class<?> baseClass)

Specified by:
  `eDerivedOperationID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedOperationID` in class `UIElementImpl`

### eInvoke

public Object eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `UIElementImpl`
Throws:
  `InvocationTargetException`

### toString

public String toString()

Overrides:
  `toString` in class `UIElementImpl`